Subject: RE: License question about Cygwin
From: "Tillman, James" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: Cary Lewis <[email-masked]>
Date: Wed, 16 Jul 2003 14:48:14 -0400

> -----Original Message-----
> From: Elfyn McBratney [mailto:[email-masked]]
> Sent: Wednesday, July 16, 2003 11:43 AM
> To: [email-masked]
> Cc: Cary Lewis
> Subject: Re: License question about Cygwin
> 
> 
> On Wed, 16 Jul 2003, Elfyn McBratney wrote:
> 
> > On Wed, 16 Jul 2003, Cary Lewis wrote:
> >
> > > As the Cygwin.dll is licensed under GPL, any "Program" 
> that links to it must
> > > be released under GPL as well.
> >
> > Under section 10 of the GPL, if the "program" is OSD 
> compatible then the
> > "program" is not auto-GPL'd.
> >
> > > My question is, what if the "Program" also links to 
> proprietary .dlls that
> > > are authored by someone else. That source can not be 
> published (I don't even
> > > have access to it). Furthermore these .dlls are not 
> freely available.
> >
> > Are these DLL's Cygwin DLL's ? i.e. not native Windows DLL's.
> >
> > > Does that mean that even if I publish all of my source 
> code, I would still
> > > be violating the GPL because I couldn't publish the 
> source code to the
> > > proprietary libraries.
> >
> > Yes.
> 

So how would the hypothetical "Program" you are discussing differ from
Cygwin itself, which links to Win32 dlls that cannot be released as source
code?

jpt

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/